Loading...
Searching...
No Matches
rostlab::blast::parser::symbol_type Struct Reference

"External" symbols: returned by the scanner. More...

`#include <blast-parser-parser.h>`

Inheritance diagram for rostlab::blast::parser::symbol_type:
[legend]
Collaboration diagram for rostlab::blast::parser::symbol_type:
[legend]

## Additional Inherited Members

Public Types inherited from rostlab::blast::parser::basic_symbol< by_kind >
typedef by_kind | super_type
| Alias to Base.
Public Types inherited from rostlab::blast::parser::by_kind
typedef token_kind_type | kind_type
| The symbol kind as needed by the constructor.
Public Member Functions inherited from rostlab::blast::parser::basic_symbol< by_kind >
| basic_symbol () YY_NOEXCEPT
| Default constructor.
| ~basic_symbol ()
| Destroy the symbol.
void | clear () YY_NOEXCEPT
| Destroy contents, and record that is empty.
std::string | name () const YY_NOEXCEPT
| The user-facing name of this symbol.
symbol_kind_type | type_get () const YY_NOEXCEPT
| Backward compatibility (Bison 3.6).
bool | empty () const YY_NOEXCEPT
| Whether empty.
void | move (basic_symbol &s)
| Destructive move, s is emptied into this.
Public Member Functions inherited from rostlab::blast::parser::by_kind
| by_kind () YY_NOEXCEPT
| Default constructor.
| by_kind (const by_kind &that) YY_NOEXCEPT
| Copy constructor.
| by_kind (kind_type t) YY_NOEXCEPT
| Constructor from (external) token numbers.
void | clear () YY_NOEXCEPT
| Record that this symbol is empty.
void | move (by_kind &that)
| Steal the symbol kind from that.
symbol_kind_type | kind () const YY_NOEXCEPT
symbol_kind_type | type_get () const YY_NOEXCEPT
| Backward compatibility (Bison 3.6).
Public Attributes inherited from rostlab::blast::parser::basic_symbol< by_kind >
value_type | value
| The semantic value.
location_type | location
| The location.
Public Attributes inherited from rostlab::blast::parser::by_kind
symbol_kind_type | kind_

## Detailed Description

"External" symbols: returned by the scanner.

Definition at line 482 of file blast-parser-parser.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-parser-parser.h